# mysql_free_result

(PHP 4, PHP 5)

mysql_free_result — Free result memory

Warning

This extension was deprecated in PHP 5.5.0, and it was removed in PHP 7.0.0. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide and related FAQ for more information. Alternatives to this function include:

- mysqli_free_result()
- Assign the value of `NULL` to the PDO object, or PDOStatement::closeCursor()

### Description

mysql_free_result ( resource `$result` ) : bool

mysql_free_result() will free all memory associated with the result identifier `result`.

mysql_free_result() only needs to be called if you are concerned about how much memory is being used for queries that return large result sets. All associated result memory is automatically freed at the end of the script's execution.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mysql_query().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

If a non-resource is used for the `result`, an error of level E_WARNING will be emitted. It's worth noting that mysql_query() only returns a resource for SELECT, SHOW, EXPLAIN, and DESCRIBE queries.

### Examples

Example #1 A mysql_free_result() example

`<?php
$result = mysql_query("SELECT id,email FROM people WHERE id = '42'");
if (!$result) {
echo 'Could not run query: ' . mysql_error();
exit;
}
/* Use the result, assuming we're done with it afterwards */
$row = mysql_fetch_assoc($result);
/* Now we free up the result and continue on with our script */
mysql_free_result($result);
echo $row['id'];
echo $row['email'];
?>`

### Notes

> Note:

> For backward compatibility, the following deprecated alias may be used: mysql_freeresult()

### See Also

- mysql_query() - Send a MySQL query
- is_resource() - Finds whether a variable is a resource